Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.jsf
Class SpringBeanVariableResolver

    java.lang.Object
      javax.faces.el.VariableResolver
          org.springframework.web.jsf.DelegatingVariableResolver
              org.springframework.web.jsf.SpringBeanVariableResolver

    public class SpringBeanVariableResolver

extends DelegatingVariableResolver

This is a subclass of the JSF 1.1 `DelegatingVariableResolver`, letting Spring bean definitions override other attributes of the same name.

The main purpose of this class is to provide behavior that is analogous to the JSF 1.2 `SpringBeanFacesELResolver`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `WebApplicationContextVariableResolver`, `FacesContextUtils.getRequiredWebApplicationContext(javax.faces.context.FacesContext)`

Field Summary

Fields inherited from class org.springframework.web.jsf.DelegatingVariableResolver
`logger, originalVariableResolver`

Constructor Summary
`SpringBeanVariableResolver(javax.faces.el.VariableResolver originalVariableResolver)`

Method Summary
`java.lang.Object` | `resolveVariable(javax.faces.context.FacesContext facesContext, java.lang.String name)` Delegate to the original VariableResolver first, then try to resolve the variable as Spring bean in the root WebApplicationContext.

Methods inherited from class org.springframework.web.jsf.DelegatingVariableResolver
`getBeanFactory, getOriginalVariableResolver, getWebApplicationContext, resolveOriginal, resolveSpringBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringBeanVariableResolver

    public SpringBeanVariableResolver(javax.faces.el.VariableResolver originalVariableResolver)

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(javax.faces.context.FacesContext facesContext,
                                            java.lang.String name)
                                     throws javax.faces.el.EvaluationException

  Description copied from class: `DelegatingVariableResolver`
  Delegate to the original VariableResolver first, then try to resolve the variable as Spring bean in the root WebApplicationContext.

  Overrides:
    `resolveVariable` in class `DelegatingVariableResolver`
  Throws:
    `javax.faces.el.EvaluationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD